Page MenuHomePhabricator

Animated Gifs do not play in-line in comments
Closed, ResolvedPublic

Event Timeline

Feature. They are explicitly disabled in our configuration. We don't want to encourage distracting avatars and lolcatz. After tokens, this might be the next hot topic. :P

Proposing Declined.

Please don't disable or decline our joy @Qgil

Feature!
Possibly this is the case because animated avatars are turned off. (We do not want to see animated avatars. They are very annoying to some users.)

However, I can see the animation in Jared's comment at T68819#835013 if I click it.
That seems sufficient to me, given that compressed thumbnails (what we see embedded in comments) are generally bad, and even tiny ones are reduced in size by phabricator's thumbnail system. Compare:


with https://github.com/wikimedia/mediawiki/blob/master/resources/src/mediawiki/mediawiki.feedback.spinner.gif

But now we have to explain to someone to click on an image in order to even determine if it is animated. Thats like having to explain the punchline.

Qgil added a comment.EditedDec 9 2014, 10:33 PM

I know, the joy of having users posting animated gifs combined with the joy of reading the comments of users upset, and of course also the joy of waiting for the comments of those that will ask for the licensing of the animated gifs. :)

Quiddity closed this task as Declined.Dec 9 2014, 10:41 PM
Quiddity claimed this task.

Seconding.

Quiddity removed Quiddity as the assignee of this task.Dec 9 2014, 10:42 PM
Jdlrobson reopened this task as Open.Jan 17 2017, 4:25 AM
Jdlrobson added a subscriber: Jdlrobson.

This should be reconsidered. Fun is important.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 17 2017, 4:25 AM
Prtksxna added a subscriber: Prtksxna.EditedJan 17 2017, 4:38 AM

This used to work and worked in the preview.

thumbs-up-down-left-right

You just need to create a macro.

Qgil removed a subscriber: Qgil.Jan 17 2017, 6:41 AM

1 macro per gif?

challenge-accepted

Aklapper triaged this task as Lowest priority.Jan 18 2017, 7:17 PM

Any reason we can't just add a file attachment? The macro approach seems a bit creepy as I can make gifs show on all sorts of keywords...

greg added subscribers: Qgil, greg.Jan 18 2017, 9:52 PM

Personally, if the "solution" is to use macros, yeah, that sucks for a number of reasons. So then we must weigh that with what Quim said above:

In T78072#835181, @Qgil wrote:

I know, the joy of having users posting animated gifs combined with the joy of reading the comments of users upset, and of course also the joy of waiting for the comments of those that will ask for the licensing of the animated gifs. :)

:/

greg removed a subscriber: Qgil.Jan 18 2017, 9:53 PM

We require imagemagick to thumbnail animated GIFs. If it isn't installed, or files.enable-imagemagick isn't enabled in Config, we can't generate animated thumbnails.

You can embed animated GIFs without using macros by disabling thumbnailing, using {F...., size=full} like this (I solemnly swear and affirm that I definitely have 100% of the rights to this banana):

{F5309100, size=full}

Even without imagemagick, animated avatars may work if the source image you upload is exactly the right size (160x160, maybe? I don't recall) but I think we may shove them through the resizer anyway. If they do work, don't tell anyone I told you.

imagemagick thumbnails some GIFs wrong (when they have unusual backgrounds or layers or transitions or frame timings) which is sort of a bug, but not one we can necessarily do much about. But the rest of this is a configuration issue / feature.

(There's currently no way to enable animated GIF thumbnailing in comments without also enabling users to use GIFs as avatar photos.)


This changes everything.
(!!!!)

Jdlrobson closed this task as Resolved.Jan 18 2017, 10:48 PM
Jdlrobson claimed this task.

Looks like fun in the world has been restored.

I hope everyone has certificates documenting their rights to use those images!

mmodell added a comment.EditedJan 18 2017, 11:46 PM

ambiguitytape